Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.seam.annotations.intercept
Enum InterceptorType

    java.lang.Object
      java.lang.Enum<InterceptorType>
          org.jboss.seam.annotations.intercept.InterceptorType

All Implemented Interfaces:
  Serializable, Comparable<InterceptorType>

    public enum InterceptorType

extends Enum<InterceptorType>

The type of an Interceptor, "client-side" (around the EJB proxy object) or "server-side" (inside the EJB interceptor stack).

Author:
  Gavin King

Enum Constant Summary
`ANY`
`CLIENT` An interceptor that wraps the EJB proxy object, and intercepts invocations before EJB itself does any work.
`SERVER` An interceptor that runs as part of the EJB interceptor stack.

Method Summary
`static InterceptorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InterceptorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLIENT

    public static final InterceptorType CLIENT

  An interceptor that wraps the EJB proxy object, and intercepts invocations before EJB itself does any work.

### SERVER

    public static final InterceptorType SERVER

  An interceptor that runs as part of the EJB interceptor stack.

### ANY

    public static final InterceptorType ANY

Method Detail

### values

    public static final InterceptorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InterceptorType c : InterceptorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InterceptorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD